Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Interface AbleLogger

All Superinterfaces:
  com.ibm.logging.IRecordType, java.io.Serializable

All Known Implementing Classes:
  AbleTraceLogger

public interface AbleLogger
extends java.io.Serializable, com.ibm.logging.IRecordType

AbleLogger is an interface used for recording messages and tracing programs. It wrappers functions from the com.ibm.logging package to minimize the dependancy. It defines custome trace and log levels used by ABLE. Tacitly assumed is that each logger will include a console handler and a file handler to process log records.

See Also:
  `Logger`

Field Summary
`static long` | `MSG_ERROR`
`static long` | `MSG_INFO`
`static long` | `MSG_NONE`
`static long` | `MSG_UNSPECIFIED`
`static long` | `MSG_WARNING`
`static long` | `serialVersionUID`
`static long` | `TRC_HIGH`
`static long` | `TRC_HIGH_INFER`
`static long` | `TRC_HIGH_PARSE`
`static long` | `TRC_HIGH_RLST`
`static long` | `TRC_LOW`
`static long` | `TRC_LOW_INFER`
`static long` | `TRC_LOW_PARSE`
`static long` | `TRC_LOW_RLST`
`static long` | `TRC_MEDIUM`
`static long` | `TRC_MEDIUM_INFER`
`static long` | `TRC_MEDIUM_PARSE`
`static long` | `TRC_MEDIUM_RLST`
`static long` | `TRC_NONE`

Fields inherited from interface com.ibm.logging.IRecordType
`TYPE_ALL, TYPE_API, TYPE_CALLBACK, TYPE_DEBUG_MAX, TYPE_DEBUG_MID, TYPE_DEBUG_MIN, TYPE_DEFAULT_MESSAGE, TYPE_DEFAULT_TRACE, TYPE_ENTRY, TYPE_ENTRY_EXIT, TYPE_ERR, TYPE_ERROR, TYPE_ERROR_EXC, TYPE_EXIT, TYPE_FATAL, TYPE_INFO, TYPE_INFORMATION, TYPE_LEVEL1, TYPE_LEVEL2, TYPE_LEVEL3, TYPE_MISC_DATA, TYPE_NONE, TYPE_OBJ_CREATE, TYPE_OBJ_DELETE, TYPE_PERF, TYPE_PRIVATE, TYPE_PUBLIC, TYPE_STATIC, TYPE_SVC, TYPE_WARN, TYPE_WARNING`

Method Summary
`void` | `addHandler(java.lang.Object handler, long level)` Add a handler to this logger.
`void` | `entry(long type, java.lang.Object loggingClass, java.lang.String loggingMethod)` Log a method entry trace statement without parameters.
`void` | `entry(long type, java.lang.Object loggingClass, java.lang.String loggingMethod, java.lang.Object parm)` Log a method entry trace statement with one parameter.
`void` | `entry(long type, java.lang.Object loggingClass, java.lang.String loggingMethod, java.lang.Object[] parms)` Log a method entry trace statement with multiple parameters.
`void` | `exception(long type, java.lang.Object loggingClass, java.lang.String loggingMethod, java.lang.Throwable throwable)` Log an exception.
`void` | `exit(long type, java.lang.Object loggingClass, java.lang.String loggingMethod)` Log a method exit trace statement with no result.
`void` | `exit(long type, java.lang.Object loggingClass, java.lang.String loggingMethod, java.lang.Object result)` Log a method exit trace statement with a result.
`long` | `getConsoleLogLevel()` Returns the raw value used to calculate the console handler filter.
`java.lang.String` | `getFileLogFileName()` Returns the name of the file written to by the file handler.
`long` | `getFileLogLevel()` Returns the raw value used to calculate the file handler filter.
`java.util.Enumeration` | `getHandlers()` Returns an Enumeration of handlers from this logger.
`boolean` | `isBeanLogger()` Indicates true if a bean has its own unique logger instance, or false to indicate it is using the static `Able.TraceLog` logger.
`boolean` | `isLogging()` Indicates if statements are being logged.
`boolean` | `isTraceLogger()` Indicates if the logger is configured for trace output.
`void` | `message(long type, java.lang.Object loggingClass, java.lang.String loggingMethod, java.lang.String key)` Log a translated message.
`void` | `message(long type, java.lang.Object loggingClass, java.lang.String loggingMethod, java.lang.String key, java.lang.Object[] parms)` Log a translated message with multiple substitution parameters.
`void` | `message(long type, java.lang.Object loggingClass, java.lang.String loggingMethod, java.lang.String key, java.lang.String parm)` Log a translated message with a single substitution parameter.
`void` | `removeHandler(java.lang.Object handler)` Remove a handler from this logger.
`void` | `setConsoleLogLevel(long level)` Sets the raw value used for the console handler filter.
`void` | `setFileLogLevel(long level)` Sets the raw value used to set the file handler filter.
`void` | `setLogging(boolean isLogging)` Sets logging on if true.
`void` | `stackTrace(long type, java.lang.Object loggingClass, java.lang.String loggingMethod)` Log a stacktrace.
`void` | `text(long type, java.lang.Object loggingClass, java.lang.String loggingMethod, java.lang.String text)` Log an untranslated trace statement.
`void` | `text(long type, java.lang.Object loggingClass, java.lang.String loggingMethod, java.lang.String text, java.lang.Object[] parms)` Log an untranslated trace statement with substitution parameters.
`void` | `text(long type, java.lang.String text)` Log an untranslated trace statement.

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### TRC_LOW

    public static final long TRC_LOW

See Also:
  `Able.TRC_LOW`, Constant Field Values

### TRC_MEDIUM

    public static final long TRC_MEDIUM

See Also:
  `Able.TRC_MEDIUM`, Constant Field Values

### TRC_HIGH

    public static final long TRC_HIGH

See Also:
  `Able.TRC_HIGH`, Constant Field Values

### TRC_NONE

    public static final long TRC_NONE

See Also:
  `Able.TRC_NONE`, Constant Field Values

### TRC_LOW_RLST

    public static final long TRC_LOW_RLST

See Also:
  `Able.TRC_LOW`, Constant Field Values

### TRC_MEDIUM_RLST

    public static final long TRC_MEDIUM_RLST

See Also:
  `Able.TRC_MEDIUM`, Constant Field Values

### TRC_HIGH_RLST

    public static final long TRC_HIGH_RLST

See Also:
  `Able.TRC_HIGH`, Constant Field Values

### TRC_LOW_PARSE

    public static final long TRC_LOW_PARSE

See Also:
  `Able.TRC_LOW`, Constant Field Values

### TRC_MEDIUM_PARSE

    public static final long TRC_MEDIUM_PARSE

See Also:
  `Able.TRC_MEDIUM`, Constant Field Values

### TRC_HIGH_PARSE

    public static final long TRC_HIGH_PARSE

See Also:
  `Able.TRC_HIGH`, Constant Field Values

### TRC_LOW_INFER

    public static final long TRC_LOW_INFER

See Also:
  `Able.TRC_LOW_INFER`, Constant Field Values

### TRC_MEDIUM_INFER

    public static final long TRC_MEDIUM_INFER

See Also:
  `Able.TRC_MEDIUM_INFER`, Constant Field Values

### TRC_HIGH_INFER

    public static final long TRC_HIGH_INFER

See Also:
  `Able.TRC_HIGH_INFER`, Constant Field Values

### MSG_INFO

    public static final long MSG_INFO

See Also:
  `Able.MSG_INFO`, Constant Field Values

### MSG_WARNING

    public static final long MSG_WARNING

See Also:
  `Able.MSG_WARNING`, Constant Field Values

### MSG_ERROR

    public static final long MSG_ERROR

See Also:
  `Able.MSG_ERROR`, Constant Field Values

### MSG_NONE

    public static final long MSG_NONE

See Also:
  `Able.MSG_NONE`, Constant Field Values

### MSG_UNSPECIFIED

    public static final long MSG_UNSPECIFIED

See Also:
  `Able.MSG_UNSPECIFIED`, Constant Field Values

Method Detail

### message

    public void message(long type,
                        java.lang.Object loggingClass,
                        java.lang.String loggingMethod,
                        java.lang.String key)

  Log a translated message.

  Parameters:
    `type` - A message record type, typically one of those with a prefix of MSG_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
    `key` - The key used to obtain the translated message from the resource bundle.
  See Also:
    `Logger.message(long,Object,String,String)`

### message

    public void message(long type,
                        java.lang.Object loggingClass,
                        java.lang.String loggingMethod,
                        java.lang.String key,
                        java.lang.String parm)

  Log a translated message with a single substitution parameter.

  Parameters:
    `type` - A message record type, typically one of those with a prefix of MSG_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
    `key` - The key used to obtain the translated message from the resource bundle.
    `parm` - A substitution value to be inserted into the message.
  See Also:
    `Logger.message(long,Object,String,String,Object[])`

### message

    public void message(long type,
                        java.lang.Object loggingClass,
                        java.lang.String loggingMethod,
                        java.lang.String key,
                        java.lang.Object[] parms)

  Log a translated message with multiple substitution parameters.

  Parameters:
    `type` - A message record type, typically one of those with a prefix of MSG_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
    `key` - The key used to obtain the translated message from the resource bundle.
    `parms` - A array of substitution values to be inserted into the message.
  See Also:
    `Logger.message(long,Object,String,String,Object[])`

### text

    public void text(long type,
                     java.lang.String text)

  Log an untranslated trace statement.

  Parameters:
    `type` - A trace record type, typically one of those with a prefix of TRC_.
    `text` - The text to be logged.

### text

    public void text(long type,
                     java.lang.Object loggingClass,
                     java.lang.String loggingMethod,
                     java.lang.String text)

  Log an untranslated trace statement.

  Parameters:
    `type` - A trace record type, typically one of those with a prefix of TRC_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
    `text` - The text to be logged.
  See Also:
    `Logger.text(long,Object,String,String)`

### text

    public void text(long type,
                     java.lang.Object loggingClass,
                     java.lang.String loggingMethod,
                     java.lang.String text,
                     java.lang.Object[] parms)

  Log an untranslated trace statement with substitution parameters.

  Parameters:
    `type` - A trace record type, typically one of those with a prefix of TRC_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
    `text` - The text to be logged.
    `parms` - The array of substitution values to be inserted into the text.
  See Also:
    `Logger.text(long,Object,String,String,Object[])`

### entry

    public void entry(long type,
                      java.lang.Object loggingClass,
                      java.lang.String loggingMethod)

  Log a method entry trace statement without parameters.

  Parameters:
    `type` - A trace record type, typically one of those with a prefix of TRC_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
  See Also:
    `Logger.entry(long,Object,String)`

### entry

    public void entry(long type,
                      java.lang.Object loggingClass,
                      java.lang.String loggingMethod,
                      java.lang.Object parm)

  Log a method entry trace statement with one parameter.

  Parameters:
    `type` - A trace record type, typically one of those with a prefix of TRC_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
    `parm` - The object provided in the method's argument list.
  See Also:
    `Logger.entry(long,Object,String,Object)`

### entry

    public void entry(long type,
                      java.lang.Object loggingClass,
                      java.lang.String loggingMethod,
                      java.lang.Object[] parms)

  Log a method entry trace statement with multiple parameters.

  Parameters:
    `type` - A trace record type, typically one of those with a prefix of TRC_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
    `parms` - The objects provided in the method's argument list.
  See Also:
    `Logger.entry(long,Object,String,Object[])`

### exception

    public void exception(long type,
                          java.lang.Object loggingClass,
                          java.lang.String loggingMethod,
                          java.lang.Throwable throwable)

  Log an exception.

  Parameters:
    `type` - A trace record type, typically one of those with a prefix of TRC_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
    `throwable` - The exception.
  See Also:
    `Logger.exception(long,Object,String,Throwable)`

### exit

    public void exit(long type,
                     java.lang.Object loggingClass,
                     java.lang.String loggingMethod)

  Log a method exit trace statement with no result.

  Parameters:
    `type` - A trace record type, typically one of those with a prefix of TRC_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
  See Also:
    `Logger.exit(long,Object,String)`

### exit

    public void exit(long type,
                     java.lang.Object loggingClass,
                     java.lang.String loggingMethod,
                     java.lang.Object result)

  Log a method exit trace statement with a result.

  Parameters:
    `type` - A trace record type, typically one of those with a prefix of TRC_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
    `result` - The result of the method.
  See Also:
    `Logger.exit(long,Object,String,Object)`

### isLogging

    public boolean isLogging()

  Indicates if statements are being logged.

### setLogging

    public void setLogging(boolean isLogging)

  Sets logging on if true.

  Parameters:
    `isLogging` - Turns logging on if true, off otherwise.

### isBeanLogger

    public boolean isBeanLogger()

  Indicates true if a bean has its own unique logger instance, or false to indicate it is using the static `Able.TraceLog` logger.

### isTraceLogger

    public boolean isTraceLogger()

  Indicates if the logger is configured for trace output. A value of false indicates the logger is configured for message output.

### stackTrace

    public void stackTrace(long type,
                           java.lang.Object loggingClass,
                           java.lang.String loggingMethod)

  Log a stacktrace.

  Parameters:
    `type` - A trace record type, typically one of those with a prefix of TRC_.
    `loggingClass` - An instance of a class (this), or a String containing the package and name if static.
    `loggingMethod` - A string containing the name of the method.
  See Also:
    `Logger.stackTrace(long,Object,String)`

### addHandler

    public void addHandler(java.lang.Object handler,
                           long level)

  Add a handler to this logger.

  Parameters:
    `handler` - The handler to add.
    `level` - The level to log.
  See Also:
    `LoggerCfg.addHandler(IHandler)`

### removeHandler

    public void removeHandler(java.lang.Object handler)

  Remove a handler from this logger. Only IHandler implementers are currently supported.

  Parameters:
    `handler` - The handler to remove.
  See Also:
    `LoggerCfg.removeHandler(IHandler)`

### getHandlers

    public java.util.Enumeration getHandlers()

  Returns an Enumeration of handlers from this logger.

  Returns:
    An Enumeration of handlers, which may be null if the logger has not been created.
  See Also:
    `LoggerCfg.getHandlers()`

### getConsoleLogLevel

    public long getConsoleLogLevel()

  Returns the raw value used to calculate the console handler filter. Message logger values will be one of `AbleTraceLogger.MessageLogSeverityValuesVector`; trace logger values will be one of `AbleTraceLogger.TraceLogLevelValuesVector`.

  Returns:
    A long indicating the logging trace level or message severity.

### setConsoleLogLevel

    public void setConsoleLogLevel(long level)

  Sets the raw value used for the console handler filter. Message logger values will be one of `AbleTraceLogger.MessageLogSeverityValuesVector`; trace logger values will be one of `AbleTraceLogger.TraceLogLevelValuesVector`.

  Parameters:
    `level` - A long indicating the logging trace level or message severity.

### getFileLogLevel

    public long getFileLogLevel()

  Returns the raw value used to calculate the file handler filter. Message loggers values will be one of `AbleTraceLogger.MessageLogSeverityValuesVector`; trace loggers values will be one of `AbleTraceLogger.TraceLogLevelValuesVector`.

  Returns:
    A long indicating the logging trace level or message severity.

### setFileLogLevel

    public void setFileLogLevel(long level)

  Sets the raw value used to set the file handler filter. Message loggers values will be one of `AbleTraceLogger.MessageLogSeverityValuesVector`; trace loggers values will be one of `AbleTraceLogger.TraceLogLevelValuesVector`.

  Parameters:
    `level` - A long indicating the logging trace level or message severity.

### getFileLogFileName

    public java.lang.String getFileLogFileName()

  Returns the name of the file written to by the file handler.

  Returns:
    A String containing the path and file name.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005